//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Web.UI.WebControls;
using CommunityServer.ControlPanel.UI;
using CommunityServer.Components;
using CommunityServer.Blogs.Components;
using ResourceControl = CommunityServer.ControlPanel.Controls.ResourceControl;

namespace CommunityServer.ControlPanel.Blogs
{
	/// <summary>
	/// Summary description for PostEditorPage.
	/// </summary>
	public class PostEditorPage : BaseBlogPage
	{
		protected CommunityServer.Controls.MPContent DescriptionRegion;
		protected CommunityServer.Controls.MPContent TaskRegion;
		protected CommunityServer.Controls.MPContainer MPContainer;
		protected CommunityServer.ControlPanel.Controls.ControlPanelSelectedNavigation SelectedNavigation1;
		protected CommunityServer.ControlPanel.Controls.PanelTabControl PanelTabControl1;
	
		protected ResourceControl Description;

		override protected void OnInit(EventArgs e)
		{
			this.Load += new System.EventHandler(this.Page_Load);
			base.OnInit(e);
		}

		private void Page_Load(object sender, System.EventArgs e)
		{
			if (this.FetchBlogPostType == BlogPostType.Article)
			{
				if (CSContext.Current.PostID > 0)
					this.Description.ResourceName = "CP_Blogs_CreateEditBlogPost_Title_EditArticle";
				else
					this.Description.ResourceName = "CP_Blogs_CreateEditBlogPost_Title_NewArticle";
			}
			else
			{
				if (CSContext.Current.PostID > 0)
					this.Description.ResourceName = "CP_Blogs_CreateEditBlogPost_Title_EditPost";
				else
					this.Description.ResourceName = "CP_Blogs_CreateEditBlogPost_Title_NewPost";
			}
		}


	}
}
